use utf8;

'' => {
	desc => "interactive control",

	'[' => ["slow down 10%", 'mo'],
	']' => ["speed up 10%", 'mo'],
	'{' => ["half speed", 'mo'],
	'}' => ["double speed", 'mo'],
	'<' => ["previous file", 'me'],
	'>' => ["next file", 'me'],
	'p' => ["pause", 'mo'],
	'.' => ["step forward", 'mo'],
	'q' => ["stop and quit", 'me'],
	'+' => ["audio delay +$sign{_}.1s", 'mi'],
	'-' => ["audio delay -$sign{_}.1s", 'mi'],
	'/' => ["volume decrease", 'mi'],
	'*' => ["volume increase", 'mi'],
	'9' => '/',
	'0' => '*',
	'm' => ["mute sound", 'mi'],
	'#' => ["cycle audio tr$sign{_}ack$sign{_}s", 'mi'],
	'f' => ["full$sign{_}screen", 'co'],
	'T' => ["stay on top", 'co'],
	'w' => ["pan/sc. decr$sign{_}eas$sign{_}e", 'co'],
	'e' => ["pan/scan increase", 'co'],
	'o' => ["osd state switch", 'ci'],
	'd' => ["frame drop mode", 'co'],
	'v' => ["subtitle visibility", 'pm'],
	'b' => ["next sub$sign{_}title", 'pm'],
	'j' => ["prev$sign{_}ious sub$sign{_}title", 'pm'],
	'y' => ["forward in subtitle list", 'pm'], #TODO
	'g' => 'y', #TODO
	'F' => ["forced subtitles", 'pm'],
	'a' => ["align subtitles", 'pm'],
	'c' => ["cycle fs mode", 'co ext'],
	'n' => ["restore video mode", 'co ext'],
	'x' => ["subtitle delay +$sign{_}.1s", 'pm'],
	'z' => ["subtitle delay -$sign{_}.1s", 'pm'],
	'r' => ["subtitles up", 'pm'],
	't' => ["subtitles down", 'pm'],
	's' => ["screen$sign{_}shot", 'me ext', "-vf screenshot"],
	'S' => ["record screen$sign{_}shot$sign{_}s", 'me ext', "-vf screenshot"],
	'I' => ["filename", 'ci'],
	'!' => ["chapter back", 'mo'],
	'@' => ["chapter forward", 'mo'],
	'1' => ["contrast less", 'co ext'],
	'2' => ["contrast more", 'co ext'],
	'3' => ["brighter", 'co ext'],
	'4' => ["darker", 'co ext'],
	'5' => ["hue to red", 'co ext'],
	'6' => ["hue to blue", 'co ext'],
	'7' => ["saturate", 'co ext'],
	'8' => ["de$sign{_}saturate", 'co ext'],
},

